## org.apache.hive.jdbc
Class Utils.JdbcConnectionParams

    java.lang.Object
      org.apache.hive.jdbc.Utils.JdbcConnectionParams

Enclosing class:
  Utils

    public static class Utils.JdbcConnectionParams

extends Object

Constructor Summary
`Utils.JdbcConnectionParams()`

Method Summary
`String` `getDbName()`
`Map<String,String>` `getHiveConfs()`
`Map<String,String>` `getHiveVars()`
`String` `getHost()`
`int` `getPort()`
`Map<String,String>` `getSessionVars()`
`boolean` `isEmbeddedMode()`
`void` `setDbName(String dbName)`
`void` `setEmbeddedMode(boolean embeddedMode)`
`void` `setHiveConfs(Map<String,String> hiveConfs)`
`void` `setHiveVars(Map<String,String> hiveVars)`
`void` `setHost(String host)`
`void` `setPort(int port)`
`void` `setSessionVars(Map<String,String> sessionVars)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils.JdbcConnectionParams

    public Utils.JdbcConnectionParams()

Method Detail

### getHost

    public String getHost()

### getPort

    public int getPort()

### getDbName

    public String getDbName()

### getHiveConfs

    public Map<String,String> getHiveConfs()

### getHiveVars

    public Map<String,String> getHiveVars()

### isEmbeddedMode

    public boolean isEmbeddedMode()

### getSessionVars

    public Map<String,String> getSessionVars()

### setHost

    public void setHost(String host)

### setPort

    public void setPort(int port)

### setDbName

    public void setDbName(String dbName)

### setHiveConfs

    public void setHiveConfs(Map<String,String> hiveConfs)

### setHiveVars

    public void setHiveVars(Map<String,String> hiveVars)

### setEmbeddedMode

    public void setEmbeddedMode(boolean embeddedMode)

### setSessionVars

    public void setSessionVars(Map<String,String> sessionVars)

Copyright © 2014 The Apache Software Foundation. All rights reserved.